<?php
/**
 * Admin enqueue scripts.
 *
 * @author  WeCreativez
 * @package WooCommerce Added to Cart Popup
 * @version 1.0.0
 */

if ( ! class_exists( 'ATCP_Admin_Enqueue' ) ) {

	/**
	 * Admin enqueue class.
	 *
	 * @since 1.0.0
	 *
	 * @package WeCreativez/Admin
	 */
	class ATCP_Admin_Enqueue {

		/**
		 * Class construction.
		 */
		public function __construct() {
			add_action( 'admin_enqueue_scripts', array( $this, 'admin_enqueue_scripts' ) );
		}

		/**
		 * Admin enqueue scripts and styles.
		 *
		 * @since 1.0.0
		 *
		 * @param string $hook WordPress admin current page.
		 * @return void
		 */
		public function admin_enqueue_scripts( $hook ) {
			/**
			 * Suffix.
			 */
			$suffix = ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? '' : '.min';

			wp_enqueue_style( 'wp-color-picker' );
			wp_enqueue_script( 'wp-color-picker' );

			wp_enqueue_style( 'atcp-admin-style', ATCP_PLUGIN_URL . 'assets/css/atcp-admin-style' . $suffix . '.css', '', ATCP_PLUGIN_VER );
			wp_enqueue_script( 'atcp-admin-script', ATCP_PLUGIN_URL . 'assets/js/atcp-admin-script' . $suffix . '.js', array( 'jquery' ), ATCP_PLUGIN_VER, true );
		}
	}

	return new ATCP_Admin_Enqueue();
}
