<?php
/**
 * Admin menu.
 *
 * @author  WeCreativez
 * @package WooCommerce Added to Cart Popup
 * @version 1.0.0
 */

if ( ! class_exists( 'ATCP_Admin_Menu' ) ) {

	/**
	 * Admin menu class.
	 *
	 * @since 1.0.0
	 *
	 * @package WeCreativez/Admin
	 */
	class ATCP_Admin_Menu {

		/**
		 * Class construction.
		 */
		public function __construct() {
			add_action( 'admin_menu', array( $this, 'add_menu' ) );
		}

		/**
		 * Admin menus.
		 *
		 * @since 1.0.0
		 *
		 * @return void
		 */
		public function add_menu() {
			add_menu_page(
				esc_html__( 'Added To Cart Popup', 'woo-atcp' ),
				esc_html__( 'Added To Cart Popup', 'woo-atcp' ),
				'manage_options',
				'woocommerce-added-to-cart-popup',
				array( $this, 'admin_menu_page' ),
				ATCP_PLUGIN_URL . 'assets/images/wp-menu-icon.svg'
			);

			add_submenu_page(
				'woocommerce-added-to-cart-popup',
				esc_html__( 'Plugin Support', 'woo-atcp' ),
				esc_html__( 'Plugin Support', 'woo-atcp' ),
				'manage_options',
				'woocommerce-added-to-cart-popup_plugin_support',
				array( $this, 'admin_plugin_support_page' )
			);

			add_submenu_page(
				'woocommerce-added-to-cart-popup',
				esc_html__( 'Documentation', 'woo-atcp' ),
				esc_html__( 'Documentation', 'woo-atcp' ),
				'manage_options',
				'woocommerce-added-to-cart-popup_documentation',
				array( $this, 'admin_documentation_page' )
			);
		}

		/**
		 * Admin main menu page.
		 *
		 * @since 1.0.0
		 *
		 * @return void
		 */
		public function admin_menu_page() {
			require_once ATCP_PLUGIN_PATH . 'includes/admin/views/atcp-admin-setting-page.php';
		}

		/**
		 * Admin plugin support page.
		 *
		 * @since 1.0.0
		 *
		 * @return void
		 */
		public function admin_plugin_support_page() {
			require_once ATCP_PLUGIN_PATH . 'includes/admin/views/atcp-admin-plugin-support-page.php';
		}

		/**
		 * Admin documentation page.
		 *
		 * @since 1.0.0
		 *
		 * @return void
		 */
		public function admin_documentation_page() {
			require_once ATCP_PLUGIN_PATH . 'includes/admin/views/atcp-admin-documentation.php';
		}

	}

	return new ATCP_Admin_Menu();
}
