<?php
/**
 * Plugin admin shortcode page.
 *
 * @author  WeCreativez
 * @package WooCommerce Added to Cart Popup
 * @version 1.0.0
 */

defined( 'ABSPATH' ) || exit;
?>

<h3><?php esc_html_e( 'Shortcodes', 'woo-atcp' ); ?></h3>

<table class="form-table">
	<tbody>
		<tr>
			<th scope="row">
				<label><?php esc_html_e( 'Related Products', 'woo-atcp' ); ?></label>
			</th>
			<td>
				<input type="text" class="regular-text" value="[atcp_related_products]">
				<br />
				<br />
				<p><strong><?php esc_html_e( 'Parameters:', 'woo-atcp' ); ?></strong></p>
				<p>
					<?php
					/* translators: %s: Translates string "title". */
					echo wp_kses_post( sprintf( __( '%s: The title. Default: Related Products', 'woo-atcp' ), '<code>title</code>' ) );
					?>
				</p>
				<p>
					<?php
					/* translators: %s: Translates string limit.  */
					echo wp_kses_post( sprintf( __( '%s: The number of products to display. Default: 3', 'woo-atcp' ), '<code>limit</code>' ) );
					?>
				</p>
				<br />
				<p><?php echo wp_kses_post( __( '<strong>Example:</strong> <code>[atcp_related_products title="Related Products" limit="3"]</code>', 'woo-atcp' ) ); ?></p>
			</td>
		</tr>
		<tr>
			<th scope="row">
				<label><?php esc_html_e( 'Upsell Products', 'woo-atcp' ); ?></label>
			</th>
			<td>
				<input type="text" class="regular-text" value="[atcp_upsell_products]">
				<br />
				<br />
				<p><strong><?php esc_html_e( 'Parameters:', 'woo-atcp' ); ?></strong></p>
				<p>
					<?php
					/* translators: %s: Translates string "title".*/
					echo wp_kses_post( sprintf( __( '%s: The title. Default: Related Products', 'woo-atcp' ), '<code>title</code>' ) );
					?>
				</p>
				<p>
					<?php
					/* translators: %s: Translates string limit.  */
					echo wp_kses_post( sprintf( __( '%s: The number of products to display. Default: 3', 'woo-atcp' ), '<code>limit</code>' ) );
					?>
				</p>
				<br />
				<p><?php echo wp_kses_post( __( '<strong>Example:</strong> <code>[atcp_upsell_products title="Upsell Products" limit="3"]</code>', 'woo-atcp' ) ); ?></p>
			</td>
		</tr>
		<tr>
			<th scope="row">
				<label><?php esc_html_e( 'Cross Sell Products', 'woo-atcp' ); ?></label>
			</th>
			<td>
				<input type="text" class="regular-text" value="[atcp_cross_sell_products]">
				<br />
				<br />
				<p><strong><?php esc_html_e( 'Parameters:', 'woo-atcp' ); ?></strong></p>
				<p>
					<?php
					/* translators: %s: Translates string "title". */
					echo wp_kses_post( sprintf( __( '%s: The title. Default: Related Products', 'woo-atcp' ), '<code>title</code>' ) );
					?>
				</p>
				<p>
					<?php
					/* translators: %s: Translates string limit.  */
					echo wp_kses_post( sprintf( __( '%s: The number of products to display. Default: 3', 'woo-atcp' ), '<code>limit</code>' ) );
					?>
				</p>
				<br />
				<p><?php echo wp_kses_post( __( '<strong>Example:</strong> <code>[atcp_cross_sell_products title="Cross sell Products" limit="3"]</code>', 'woo-atcp' ) ); ?></p>
			</td>
		</tr>
	</tbody>
</table>
