<?php
/**
 * Installation.
 *
 * @author  WeCreativez
 * @package WooCommerce Added to Cart Popup
 * @version 1.0.0
 */

defined( 'ABSPATH' ) || exit;

if ( ! class_exists( 'ATCP_Install' ) ) {

	/**
	 * Plugin install class.
	 *
	 * @since 1.0.0
	 */
	class ATCP_Install {

		/**
		 * Install required data.
		 *
		 * @since 1.0.0
		 *
		 * @return void
		 */
		public static function install() {
			// Register settings.
			self::register_settings();

			/**
			 * Add plugin version.
			 *
			 * @since 1.0.0
			 */
			update_option( 'atcp_plugin_version', ATCP_PLUGIN_VER );
		}

		/**
		 * Register plugin settings.
		 *
		 * @return void
		 */
		public static function register_settings() {
			// Load admin settings.
			require_once ATCP_PLUGIN_PATH . 'includes/admin/settings/atcp-admin-settings.php';
			// Load settings API.
			require_once ATCP_PLUGIN_PATH . 'includes/class-atcp-settings.php';

			ATCP_Settings::add_options();
		}

	}

	ATCP_Install::install();
}
